
clc
clear 
close all

alpha_CSIT=0.5;

t=0.5; %Time for the two users with alpha 

P_tot_dB=35;

noise_3=10; %  measure in dB

N_real=100;

expo_pri=min(alpha_CSIT,t);

%time partitioning 

[SumRate_12_tdma , SumRate_tdma , Rate_user_zero_tdma]=TDMA_RS_scheme(P_tot_dB, alpha_CSIT,t,noise_3,N_real); 

%power partitioning - forget about SUNOMA

[Rate_common_1_rsma,Rate_common_2_rsma,Rate_private_1_rsma,Rate_private_2_rsma,SumRate_rsma]=SUNOMA_scheme(P_tot_dB, alpha_CSIT,noise_3, N_real,Rate_user_zero_tdma, expo_pri);


 
 %figure 2b case 1 3 of them 

 figure, plot(0:P_tot_dB,Rate_private_1_rsma+Rate_private_2_rsma+Rate_common_2_rsma)
 
 grid on
 
 
 noise_3=20; %Measure in dB
 
 
[SumRate_12_tdma , SumRate_tdma , Rate_user_zero_tdma]=TDMA_RS_scheme(P_tot_dB, alpha_CSIT,t,noise_3,N_real);

[Rate_common_1_rsma,Rate_common_2_rsma,Rate_private_1_rsma,Rate_private_2_rsma,SumRate_rsma]=SUNOMA_scheme(P_tot_dB, alpha_CSIT,noise_3, N_real,Rate_user_zero_tdma, expo_pri);


 
 %figure 2a case 1 3 of them
 
 hold on 
 
 plot(0:P_tot_dB,Rate_private_1_rsma+Rate_private_2_rsma+Rate_common_2_rsma,0:P_tot_dB,SumRate_12_tdma)
 
 grid on
 
 legend('Power Partitioning-10 dB','Time Partitioning-20 dB','Time Partitioning')
 
 xlabel('SNR (dB) [Users 1 and 2]')
 
 ylabel('Sum Rate (bps/Hz) [Users 1 and 2]')
 
 
 

 
 

 
 
 
