
  
function [Rate_common, Rate_private_1, Rate_private_2, Rate_user_zero] = RS_opt_TDMA(alpha, G_alpha_comm,G_alpha,G,P,sigma_n,noise_3)
        
             %User with zero  
             
             P_p=P^(alpha)/2; %power for the private messages 
             P_c=P-P^(alpha); %power for the common messages 
              
               %SNR for the common message
               
               SNR_user_alpha1=(abs(G_alpha_comm(1))^2*P_c)/((norm(G_alpha(1,:))^2)*P_p+sigma_n); %SNR common message user 1
               
               SNR_user_alpha2=(abs(G_alpha_comm(2))^2*P_c)/((norm(G_alpha(2,:))^2)*P_p+sigma_n); %SNR common message user 2
                
               Rate_common=log2(1+min([ SNR_user_alpha1, SNR_user_alpha2 ])); %Rate of the common symbol
               
               %SNR for the private messages
               
               %Formulas I gave you 
               
               SNR_user_alpha1=((norm(G_alpha(1,1))^2)*P_p)/((norm(G_alpha(1,2))^2)*P_p+sigma_n); 
               
               SNR_user_alpha2=((norm(G_alpha(2,2))^2)*P_p)/((norm(G_alpha(2,1))^2)*P_p+sigma_n);
               
               Rate_private_1=log2(1+SNR_user_alpha1);
               
               Rate_private_2=log2(1+SNR_user_alpha2);
               
               %User 3
                        
                %SNR Calculation
                
               SNR_user_zero=(abs(G)^2*P)/(noise_3);
               
               Rate_user_zero=log2(1+SNR_user_zero);
        
  

return 