
function [Rate_common_1,Rate_common_2, Rate_private_1, Rate_private_2]= SUNOMA_opt(exp_pow_pri_,G_alpha,G_alpha_comm_12, G_alpha_3, G_zero_alpha, G_zero_comm_12,  G_zero_3 ,P,sigma_n,noise_3,step_f)
   
% This function, for every fraction of the power assigned to symbol for user 3, common symbol for user {1,2} and private symbols for users {1} and {2},
% it calculates the sum rate 

%You read the formula I gave you 

  index_f=0;

  f_power_list=0:step_f:1; 
  
  L=length(f_power_list);
  
  Rate_common_1=zeros(1,L);
   
  Rate_common_2=zeros(1,L);
    
  Rate_private_1=zeros(1,L);
    
  Rate_private_2=zeros(1,L);
  
  
         for i=1:L
                 
                 f_power_3=1-f_power_list(i);
                 
                 index_f=index_f+1;
                 
                 P_3=P*f_power_3;
                 
                 P_c=P-P_3-P^(exp_pow_pri_);
                 
                if P_c >=0
                    
                 P_p=P^(exp_pow_pri_);
                 
                %We have the common message
              
                %SNR Calculation for the first layer of common message
                
                 SNR_user_zero=(abs(G_zero_3)^2*P_3)/(abs(G_zero_comm_12)^2*P_c+ (norm(G_zero_alpha)^2)*P_p+noise_3);
               
                 SNR_user_alpha1=(abs(G_alpha_3(1))^2*P_3)/( abs(G_alpha_comm_12(1))^2*P_c+ (norm(G_alpha(1,:))^2)*P_p+sigma_n);
               
                 SNR_user_alpha2=(abs(G_alpha_3(2))^2*P_3)/(abs(G_alpha_comm_12(2))^2*P_c + (norm(G_alpha(2,:))^2)*P_p+sigma_n); 
           
                 Rate_common_1(index_f)=Rate_common_1(index_f)+log2(1+min([SNR_user_zero, SNR_user_alpha1, SNR_user_alpha2 ]));
              
               %SNR Calculation for the second layer of common message
               
                 SNR_user_alpha1=(abs(G_alpha_comm_12(1))^2*P_c)/((norm(G_alpha(1,:))^2)*P_p+sigma_n);
               
                 SNR_user_alpha2=(abs(G_alpha_comm_12(2))^2*P_c)/((norm(G_alpha(2,:))^2)*P_p+sigma_n); 
               
                 Rate_common_2(index_f)=Rate_common_2(index_f)+log2(1+min([ SNR_user_alpha1, SNR_user_alpha2 ]));
               
               %Rate private
               
                 SNR_user_alpha1=((norm(G_alpha(1,1))^2)*P_p)/((norm(G_alpha(1,2))^2)*P_p+sigma_n);
               
                 SNR_user_alpha2=((norm(G_alpha(2,2))^2)*P_p)/((norm(G_alpha(2,1))^2)*P_p+sigma_n);
               
                 Rate_private_1(index_f)=Rate_private_1(index_f)+log2(1+SNR_user_alpha1);
               
                 Rate_private_2(index_f)=Rate_private_2(index_f)+log2(1+SNR_user_alpha2);
                 
                else
                     
                    P_p=P-P_3;
                    
                     
                %SNR Calculation for the first layer of common message
                
                 SNR_user_zero=(abs(G_zero_3)^2*P_3)/( (norm(G_zero_alpha)^2)*P_p+noise_3);
               
                 SNR_user_alpha1=(abs(G_alpha_3(1))^2*P_3)/((norm(G_alpha(1,:))^2)*P_p+sigma_n);
               
                 SNR_user_alpha2=(abs(G_alpha_3(2))^2*P_3)/((norm(G_alpha(2,:))^2)*P_p+sigma_n); 
           
                 Rate_common_1(index_f)=Rate_common_1(index_f)+log2(1+min([SNR_user_zero, SNR_user_alpha1, SNR_user_alpha2 ]));
              
               
               %Rate private
               
                 SNR_user_alpha1=((norm(G_alpha(1,1))^2)*P_p)/((norm(G_alpha(1,2))^2)*P_p+sigma_n);
               
                 SNR_user_alpha2=((norm(G_alpha(2,2))^2)*P_p)/((norm(G_alpha(2,1))^2)*P_p+sigma_n);
               
                 Rate_private_1(index_f)=Rate_private_1(index_f)+log2(1+SNR_user_alpha1);
               
                 Rate_private_2(index_f)=Rate_private_2(index_f)+log2(1+SNR_user_alpha2);
                    
              
                     
                 end
                   
         end 

return